Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Class PartialUpdateManager

    java.lang.Object
      nextapp.echo2.webcontainer.PartialUpdateManager

    public class PartialUpdateManager

extends java.lang.Object

A utility class for rendering a collection of property updates to an existing HTML representation of a component on the client browser.

Constructor Summary
`PartialUpdateManager()`

Method Summary
`void` | `add(java.lang.String propertyName, PartialUpdateParticipant updateParticipant)` Adds a `PartialUpdateParticipant` to handle a given property.
`boolean` | `canProcess(RenderContext rc, ServerComponentUpdate update)` Determines if this `PartialUpdateManager` has participants to update all changed properties specified in `update`.
`void` | `process(RenderContext rc, ServerComponentUpdate update)` Renders updates to all properties in the provided `update`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialUpdateManager

    public PartialUpdateManager()

Method Detail

### add

    public void add(java.lang.String propertyName,
                    PartialUpdateParticipant updateParticipant)

  Adds a `PartialUpdateParticipant` to handle a given property.

  Parameters:
    `propertyName` - the name of the property
    `updateParticipant` - the `PartialUpdateParticipant`

### canProcess

    public boolean canProcess(RenderContext rc,
                              ServerComponentUpdate update)

  Determines if this `PartialUpdateManager` has participants to update all changed properties specified in `update`.

  Parameters:
    `rc` - the relevant `RenderContext`
    `update` - the update
  Returns:
    true if this registry is capable of performing all the described property updates

### process

    public void process(RenderContext rc,
                        ServerComponentUpdate update)

  Renders updates to all properties in the provided `update`. If the update contains a property for which a participant does not exist in this registry, the given property is skipped.

  Parameters:
    `rc` - the relevant `RenderContext`
    `update` - the update to process

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD